package com.kingdee.eas.custom.facade.employee;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class EmpPreEntryFacadeFactory
{
    private EmpPreEntryFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.employee.IEmpPreEntryFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.employee.IEmpPreEntryFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("3047B16D") ,com.kingdee.eas.custom.facade.employee.IEmpPreEntryFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.employee.IEmpPreEntryFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.employee.IEmpPreEntryFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("3047B16D") ,com.kingdee.eas.custom.facade.employee.IEmpPreEntryFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.employee.IEmpPreEntryFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.employee.IEmpPreEntryFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("3047B16D"));
    }
    public static com.kingdee.eas.custom.facade.employee.IEmpPreEntryFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.employee.IEmpPreEntryFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("3047B16D"));
    }
}